[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [pkg-ntp-maintainers] Bug#352610: Please create a udeb for ntpdate

On Sat, Jul 15, 2006 at 08:51:05PM +0200, Martin Michlmayr wrote:
> * Kurt Roeckx <kurt@roeckx.be> [2006-07-15 00:53]:
> > Because of recent changed I did (that haven't been commited yet),
> > ntpdate now depends on libcrypto, so the ntpdate-udeb would end
> > up with a dependency on libcrypto0.9.8-udeb.  I hope that's not a
> > problem?
> Is this libcrypto dependency strictly needed (what for) or could the
> udeb be built in a way that it's needed?  libcrypto0.9.8-udeb appears
> to be about a meg in size while ntpdate has less than 50K.

There was an internal version of md5 that has a license problem
so was removed.  Since we already link to libcrypto, I replaced
the md5 code by calling the functions from libcrypto which are

Maybe we can link ntpdate-udeb staticly to libcrypto?  That
should reduce the size.

Initial test shows that for current version of the normal
-rwxr-xr-x 1 kurt kurt 226297 Jul 15 19:41 ntpdate
Installed-Size: 184

And linked staticly to libcrypto:
-rwxr-xr-x 1 kurt kurt 230536 Jul 15 19:40 ntpdate
Installed-Size: 188

And the dependency on libssl is removed.  So this looks like
something that could work.

Some other change you should probably be aware of is that we have
a dependency on netbase now because we need /etc/services.  Is
there something else we need to depend on for the udeb, or can we
depend on netbase?


Reply to: